Index: data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4734)
+++ data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4735)
@@ -81,4 +81,13 @@
 triggerCutscene05:setActiveOnCreation(true)
 
+-- Create another trigger
+triggerStop = ScriptTrigger()
+triggerStop:setScript("vs1.lua")
+triggerStop:setFunction("stopPlayer")
+triggerStop:setRadius(50)
+triggerStop:setTarget("Player")
+triggerStop:setAbsCoor(8000 , 0 , -2000)
+triggerStop:setDebugDraw(true)
+triggerStop:setActiveOnCreation(false)
 
 -- Create the cool Ragnar trigger
@@ -93,42 +102,42 @@
 
 -- Create a great AI activater
-triggerAI01 = ScriptTrigger()
-triggerAI01:setScript("vs1.lua")
-triggerAI01:setFunction("activateGroup1")
-triggerAI01:setRadius(50)
-triggerAI01:setTarget("Player")
-triggerAI01:setAbsCoor(2600, 0, -10)
-triggerAI01:setDebugDraw(true)
-triggerAI01:setActiveOnCreation(false)
+--triggerAI01 = ScriptTrigger()
+--triggerAI01:setScript("vs1.lua")
+--triggerAI01:setFunction("activateGroup1")
+--triggerAI01:setRadius(50)
+--triggerAI01:setTarget("Player")
+--triggerAI01:setAbsCoor(2600, 0, -10)
+--triggerAI01:setDebugDraw(true)
+--triggerAI01:setActiveOnCreation(false)
 
 -- Create another great AI activater
-triggerAI02 = ScriptTrigger()
-triggerAI02:setScript("vs1.lua")
-triggerAI02:setFunction("activateGroup2")
-triggerAI02:setRadius(50)
-triggerAI02:setTarget("Player")
-triggerAI02:setAbsCoor(4900, 0, -45)
-triggerAI02:setDebugDraw(true)
-triggerAI02:setActiveOnCreation(false)
+--triggerAI02 = ScriptTrigger()
+--triggerAI02:setScript("vs1.lua")
+--triggerAI02:setFunction("activateGroup2")
+--triggerAI02:setRadius(50)
+--triggerAI02:setTarget("Player")
+--triggerAI02:setAbsCoor(4900, 0, -45)
+--triggerAI02:setDebugDraw(true)
+--triggerAI02:setActiveOnCreation(false)
 
 -- Create another great AI activater
-triggerAI03 = ScriptTrigger()
-triggerAI03:setScript("vs1.lua")
-triggerAI03:setFunction("activateGroup3")
-triggerAI03:setRadius(50)
-triggerAI03:setTarget("Player")
-triggerAI03:setAbsCoor(5850, 0, -170)
-triggerAI03:setDebugDraw(true)
-triggerAI03:setActiveOnCreation(false)
+--triggerAI03 = ScriptTrigger()
+--triggerAI03:setScript("vs1.lua")
+--triggerAI03:setFunction("activateGroup3")
+--triggerAI03:setRadius(50)
+--triggerAI03:setTarget("Player")
+--triggerAI03:setAbsCoor(5850, 0, -170)
+--triggerAI03:setDebugDraw(true)
+--triggerAI03:setActiveOnCreation(false)
 
 -- Create another great AI activater
-triggerAI04 = ScriptTrigger()
-triggerAI04:setScript("vs1.lua")
-triggerAI04:setFunction("startRagnar2")
-triggerAI04:setRadius(50)
-triggerAI04:setTarget("Player")
-triggerAI04:setAbsCoor(6500, 0, -350)
-triggerAI04:setDebugDraw(true)
-triggerAI04:setActiveOnCreation(false)
+--triggerAI04 = ScriptTrigger()
+--triggerAI04:setScript("vs1.lua")
+--triggerAI04:setFunction("startRagnar2")
+--triggerAI04:setRadius(50)
+--triggerAI04:setTarget("Player")
+--triggerAI04:setAbsCoor(6500, 0, -350)
+--triggerAI04:setDebugDraw(true)
+--triggerAI04:setActiveOnCreation(false)
 
 
@@ -150,5 +159,5 @@
 cameraManager:atachCameraToWorldEntity("CameraTwo", "NPC", "Noxon01")
 cameraManager:setRelCoor("CameraOne", 10, 8 , -5)
-cameraManager:setRelCoor("CameraTwo", 20, 8 , -5)
+cameraManager:setRelCoor("CameraTwo", 30, 15 , -10)
 
 
@@ -195,44 +204,44 @@
 
 
-function activateGroup1(timestep)
-
-Pirate01:setAI(true)
-Pirate02:setAI(true)
-Pirate03:setAI(true)
-Pirate53:setAI(true)
-Pirate54:setAI(true)
-
-return true
-end
-
-
-function activateGroup2(timestep)
-
-Pirate04:setAI(true)
-Pirate05:setAI(true)
-Pirate06:setAI(true)
-Pirate56:setAI(true)
-Pirate57:setAI(true)
-
-return true
-end
-
-
-function activateGroup3(timestep)
-
-Pirate07:setAI(true)
-Pirate08:setAI(true)
-Pirate09:setAI(true)
-Pirate59:setAI(true)
-Pirate49:setAI(true)
-Pirate79:setAI(true)
-
-return true
-end
+--function activateGroup1(timestep)
+
+--Pirate01:setAI(true)
+--Pirate02:setAI(true)
+--Pirate03:setAI(true)
+--Pirate53:setAI(true)
+--Pirate54:setAI(true)
+
+--return true
+--end
+
+
+--function activateGroup2(timestep)
+
+--Pirate04:setAI(true)
+--Pirate05:setAI(true)
+--Pirate06:setAI(true)
+--Pirate56:setAI(true)
+--Pirate57:setAI(true)
+
+--return true
+--end
+
+
+--function activateGroup3(timestep)
+
+--Pirate07:setAI(true)
+--Pirate08:setAI(true)
+--Pirate09:setAI(true)
+--Pirate59:setAI(true)
+--Pirate49:setAI(true)
+--Pirate79:setAI(true)
+
+--return true
+--end
 
 
 function startRagnar2(timestep)
 
-Ragnar02:setAI(true)
+--Ragnar02:setAI(true)
 bossFight = true
 cameraManager:setRelCoorSoft("GameWorld-Camera", -0.05, 140, 0, 20)
@@ -290,4 +299,5 @@
 cutscene2End = true
 
+cameraManager:setRelCoorSoft("GameWorld-Camera", -0.05, 70, 0)
 cameraManager:setCam("GameWorld-Camera")
 
@@ -297,2 +307,9 @@
 return cutscene2End
 end
+
+function stopPlayer(timestep)
+
+Player:pause(true)
+
+return true
+end
